链接
GET https://scanflick.com/api/links/
curl --request GET \
--url 'https://scanflick.com/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详细信息 | 描述 |
|---|---|---|
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 按哪个字段搜索。允许的值为:url, location_url, name。 |
| is_enabled | 可选 布尔值 | |
| project_id | 可选 整数 | |
| domain_id | 可选 整数 | |
| datetime_field | 可选 字符串 | 允许的值:datetime, last_datetime |
| datetime_start | 可选 字符串 | 从此日期时间开始过滤结果。格式为 Y-m-d H:i:s。 |
| datetime_end | 可选 字符串 | 过滤至此日期时间。格式为 Y-m-d H:i:s。 |
| order_by | 可选 字符串 | 按哪个字段排序结果。允许的值为:link_id, datetime, last_datetime, url, location_url, pageviews, name。 |
| order_type | 可选 字符串 | 结果排序方式。允许的值:ASC 表示升序,DESC 表示降序。 |
| page | 可选 整数 | 要获取结果的页码。默认值为 1。 |
| results_per_page | 可选 整数 | 每页返回多少条结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认值为 25。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports_is_enabled": 1,
"email_reports_last_datetime": "2026-10-01 01:11:11",
"url": "https://example.com/",
"location_url": "https://example.com/",
"type": "Example",
"file_name": "Example",
"file_size": 1,
"file_mime_type": "Example",
"name": "Example",
"settings": [],
"pageviews": 1,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-01 01:11:11"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://scanflick.com/api/links?page=1",
"last": "https://scanflick.com/api/links?page=1",
"next": null,
"prev": null,
"self": "https://scanflick.com/api/links?page=1"
}
}
GET https://scanflick.com/api/links/{link_id}
curl --request GET \
--url 'https://scanflick.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports_is_enabled": 1,
"email_reports_last_datetime": "2026-10-01 01:11:11",
"url": "https://example.com/",
"location_url": "https://example.com/",
"type": "Example",
"file_name": "Example",
"file_size": 1,
"file_mime_type": "Example",
"name": "Example",
"settings": [],
"pageviews": 1,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-01 01:11:11"
}
}
POST https://scanflick.com/api/links
| 参数 | 详细信息 | 描述 |
|---|---|---|
| location_url | 必需 字符串 | 目标 URL。可用条件:is_bulk = 0 |
| location_urls | 必需 字符串 | 目标 URL。可用条件:is_bulk = 1 |
| url | 可选 字符串 | 生成链接的 URL 别名。留空则随机生成。可用条件:is_bulk = 0 |
| is_bulk | 可选 布尔值 | |
| domain_id | 可选 整数 | - |
| project_id | 可选 整数 | - |
| pixels_ids | 可选 数组 整数 | - |
| email_reports_is_enabled | 可选 布尔值 | 通过您的账户邮箱接收简洁易懂的链接分析报告。可用条件:is_bulk = 0 |
| schedule | 可选 布尔值 | - |
| start_date | 可选 字符串 | 可用条件:schedule = true |
| end_date | 可选 字符串 | 可用条件:schedule = true |
| pageviews_limit | 可选 整数 | - |
| expiration_url | 可选 字符串 | - |
| password | 可选 字符串 | - |
| is_se_visible | 可选 布尔值 | - |
| forward_query_parameters_is_enabled | 可选 布尔值 | - |
| utm_source | 可选 字符串 | - |
| utm_medium | 可选 字符串 | - |
| utm_campaign | 可选 字符串 | - |
| sensitive_content | 可选 布尔值 | - |
| http_status_code | 可选 整数 | 允许的值:301, 302, 307, 308 |
| app_linking_is_enabled | 可选 布尔值 | - |
| cloaking_is_enabled | 可选 布尔值 | - |
| cloaking_title | 可选 字符串 | - |
| cloaking_meta_description | 可选 字符串 | - |
| cloaking_custom_js | 可选 字符串 | - |
| cloaking_favicon | 可选 文件 | - |
| cloaking_opengraph | 可选 文件 | - |
| targeting_type | 可选 字符串 | continent_code, country_code, city_name, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | 可选 字符串 | 可用条件:targeting_type = continent_code |
| targeting_continent_code_value[index] | 可选 字符串 | 可用条件:targeting_type = continent_code |
| targeting_country_code_key[index] | 可选 字符串 | 可用条件:targeting_type = country_code |
| targeting_country_code_value[index] | 可选 字符串 | 可用条件:targeting_type = country_code |
| targeting_city_name_key[index] | 可选 字符串 | 可用条件:targeting_type = city_name |
| targeting_city_name_value[index] | 可选 字符串 | 可用条件:targeting_type = city_name |
| targeting_device_type_key[index] | 可选 字符串 | 可用条件:targeting_type = device_type |
| targeting_device_type_value[index] | 可选 字符串 | 可用条件:targeting_type = device_type |
| targeting_browser_language_key[index] | 可选 字符串 | 可用条件:targeting_type = browser_language |
| targeting_browser_language_value[index] | 可选 字符串 | 可用条件:targeting_type = browser_language |
| targeting_rotation_key[index] | 可选 字符串 | 可用条件:targeting_type = rotation |
| targeting_rotation_value[index] | 可选 字符串 | 可用条件:targeting_type = rotation |
| targeting_os_name_key[index] | 可选 字符串 | 可用条件:targeting_type = os_name |
| targeting_os_name_value[index] | 可选 字符串 | 可用条件:targeting_type = os_name |
| targeting_browser_name_key[index] | 可选 字符串 | 可用条件:targeting_type = browser_name |
| targeting_browser_name_value[index] | 可选 字符串 | 可用条件:targeting_type = browser_name |
| is_enabled | 可选 布尔值 | - |
| name | 可选 字符串 | - |
curl --request POST \
--url 'https://scanflick.com/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://scanflick.com/' \
--form 'email_reports_is_enabled=1' \
--url 'https://scanflick.com/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://scanflick.com/' \
--form 'email_reports_is_enabled=1' \
{
"data": {
"id": 1
}
}
POST https://scanflick.com/api/links/{link_id}
| 参数 | 详细信息 | 描述 |
|---|---|---|
| location_url | 可选 字符串 | 目标 URL。 |
| url | 可选 字符串 | 生成链接的 URL 别名。留空则随机生成。 |
| domain_id | 可选 整数 | - |
| project_id | 可选 整数 | - |
| pixels_ids | 可选 数组 整数 | - |
| email_reports_is_enabled | 可选 布尔值 | 通过您的账户邮箱接收简洁易懂的链接分析报告。 |
| schedule | 可选 布尔值 | - |
| start_date | 可选 字符串 | 可用条件:schedule = true |
| end_date | 可选 字符串 | 可用条件:schedule = true |
| pageviews_limit | 可选 整数 | - |
| expiration_url | 可选 字符串 | - |
| password | 可选 字符串 | - |
| is_se_visible | 可选 布尔值 | - |
| forward_query_parameters_is_enabled | 可选 布尔值 | - |
| utm_source | 可选 字符串 | - |
| utm_medium | 可选 字符串 | - |
| utm_campaign | 可选 字符串 | - |
| sensitive_content | 可选 布尔值 | - |
| http_status_code | 可选 整数 | 允许的值:301, 302, 307, 308 |
| app_linking_is_enabled | 可选 布尔值 | - |
| cloaking_is_enabled | 可选 布尔值 | - |
| cloaking_title | 可选 字符串 | - |
| cloaking_meta_description | 可选 字符串 | - |
| cloaking_custom_js | 可选 字符串 | - |
| cloaking_favicon | 可选 文件 | - |
| cloaking_opengraph | 可选 文件 | - |
| targeting_type | 可选 字符串 | continent_code, country_code, city_name, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | 可选 字符串 | 可用条件:targeting_type = continent_code |
| targeting_continent_code_value[index] | 可选 字符串 | 可用条件:targeting_type = continent_code |
| is_enabled | 可选 布尔值 | - |
| targeting_country_code_key[index] | 可选 字符串 | 可用条件:targeting_type = country_code |
| targeting_country_code_value[index] | 可选 字符串 | 可用条件:targeting_type = country_code |
| is_enabled | 可选 布尔值 | - |
| targeting_city_name_key[index] | 可选 字符串 | 可用条件:targeting_type = city_name |
| targeting_city_name_value[index] | 可选 字符串 | 可用条件:targeting_type = city_name |
| is_enabled | 可选 布尔值 | - |
| targeting_device_type_key[index] | 可选 字符串 | 可用条件:targeting_type = device_type |
| targeting_device_type_value[index] | 可选 字符串 | 可用条件:targeting_type = device_type |
| is_enabled | 可选 布尔值 | - |
| targeting_browser_language_key[index] | 可选 字符串 | 可用条件:targeting_type = browser_language |
| targeting_browser_language_value[index] | 可选 字符串 | 可用条件:targeting_type = browser_language |
| is_enabled | 可选 布尔值 | - |
| targeting_rotation_key[index] | 可选 字符串 | 可用条件:targeting_type = rotation |
| targeting_rotation_value[index] | 可选 字符串 | 可用条件:targeting_type = rotation |
| is_enabled | 可选 布尔值 | - |
| targeting_os_name_key[index] | 可选 字符串 | 可用条件:targeting_type = os_name |
| targeting_os_name_value[index] | 可选 字符串 | 可用条件:targeting_type = os_name |
| is_enabled | 可选 布尔值 | - |
| targeting_browser_name_key[index] | 可选 字符串 | 可用条件:targeting_type = browser_name |
| targeting_browser_name_value[index] | 可选 字符串 | 可用条件:targeting_type = browser_name |
| is_enabled | 可选 布尔值 | - |
| name | 可选 字符串 | - |
curl --request POST \
--url 'https://scanflick.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--form 'email_reports_is_enabled=0' \
--url 'https://scanflick.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--form 'email_reports_is_enabled=0' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports_is_enabled": 1,
"email_reports_last_datetime": "2026-10-01 01:11:11",
"url": "https://example.com/",
"location_url": "https://example.com/",
"name": "Example",
"settings": [],
"pageviews": 1,
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-10-01 01:11:11"
}
}
DELETE https://scanflick.com/api/links/{link_id}
curl --request DELETE \
--url 'https://scanflick.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \